#ifndef f_MPEG_ASM_H
#define f_MPEG_ASM_H

// ASM functions for MPEG-2 Decoder, by fccHandler, October 2007

extern "C" {
	void mmx_IDCT(void *blk);
	void sse_IDCT(void *blk);
	void mmx_Add_Block(const void *blk, void *dst, int pitch, int addflag);

	void mmx_form_component_prediction(const void *src, void *dst, int lx, int w, int h, int dx, int dy, int avg);
	void isse_form_component_prediction(const void *src, void *dst, int lx, int w, int h, int dx, int dy, int avg);

	void mmx_conv420to422(const void *src, void *dst, int nWidth, int nHeight, int progressive);
	void isse_conv420to422(const void *src, void *dst, int nWidth, int nHeight, int progressive);
	void mmx_conv422to444(const void *src, void *dst, int nWidth, int nHeight, int mpeg2);
	void isse_conv422to444(const void *src, void *dst, int nWidth, int nHeight, int mpeg2);
	void mmx_conv422toYUY2(const void *scrY, const void *srcU, const void *srcV, void *dst, int w, int h);
	void mmx_conv422toUYVY(const void *scrY, const void *srcU, const void *srcV, void *dst, int w, int h);
}

#endif	// f_MPEG_ASM_H
